Subject: Re: bug#59587: 28.2; gnus does not retrieve emails sent from another device

From: Waleed Yousef <[email-masked]>
Date: Fri, 09 Dec 2022 08:09:19 -0800

Amazing!

I just added added what you have suggested (:predicate "1:*") to the
imap account I have; it fetched more than thousand emails, including
those sent today. So, it is working now for imap. However, how can I do
it for pop? The strange thing is that it was working until just weeks or
months ago; what happened!!

Just for your information, I will re-share my mail source settings:

```

		                 (pop :server "pop.gmail.com"
			                    :user "[email-masked]"
			                    :port 995
			                    :stream ssl
                          :leave non-nil)
		                 (pop :server "pop.gmail.com"
			                    :user "[email-masked]"
			                    :port 995
			                    :stream ssl
                          :leave non-nil)
		                 (pop :server "pop.gmail.com"
			                    :user "[email-masked]"
			                    :port 995
			                    :stream ssl
                          :leave non-nil)
		                 (imap :server "mail.uvic.ca"
		       	               :user "[email-masked]"
		       	               :port 993
                           :predicate "1:*"
		      	               :stream ssl
                           :mailbox ("inbox" "sent items")
                           :fetchflag "\\Seen"
			                     )
```

Eric Abrahamsen <[email-masked]> writes:

> On 12/09/22 11:41 AM, Andreas Schwab wrote:
>> By default, Gnus only fetches UNSEEN (and UNDELETED) mails, so make sure
>> the sending MUA does not mark the sent mail as SEEN.
>
> Thanks, Andreas, I was hoping it might be something like this.
>
> Waleed, can you see what marks are set on the sent mail? SEEN is
> distinct from READ. You can also change the config for your imap mail
> source, adding
>
> :predicate "1:*"
>
> see the "Mail Source Specifiers" section of the manual. That only
> applies to imap mail sources, though.